config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname ${NEW})/$(basename ${NEW} .new)"
  if [ -e ${OLD} ]; then
    cp -a ${OLD} ${NEW}.incoming
    cat ${NEW} > ${NEW}.incoming
    mv ${NEW}.incoming ${NEW}
  fi
  mv ${NEW} ${OLD}
}

preserve_perms etc/rc.d/rc.vmtoolsd.new

( cd sbin ; rm -rf mount.vmhgfs )
( cd sbin ; ln -sf /usr/src/tmp/package-open-vm-tools-12406962/usr/sbin/mount.vmhgfs mount.vmhgfs )
( cd usr/lib ; rm -rf libhgfs.so.0 )
( cd usr/lib ; ln -sf libhgfs.so.0.0.0 libhgfs.so.0 )
( cd usr/lib ; rm -rf libhgfs.so )
( cd usr/lib ; ln -sf libhgfs.so.0.0.0 libhgfs.so )
( cd usr/lib ; rm -rf libvmtools.so )
( cd usr/lib ; ln -sf libvmtools.so.0.0.0 libvmtools.so )
( cd usr/lib ; rm -rf libvmtools.so.0 )
( cd usr/lib ; ln -sf libvmtools.so.0.0.0 libvmtools.so.0 )
( cd usr/lib ; rm -rf libguestlib.so.0 )
( cd usr/lib ; ln -sf libguestlib.so.0.0.0 libguestlib.so.0 )
( cd usr/lib ; rm -rf libDeployPkg.so.0 )
( cd usr/lib ; ln -sf libDeployPkg.so.0.0.0 libDeployPkg.so.0 )
( cd usr/lib ; rm -rf libguestlib.so )
( cd usr/lib ; ln -sf libguestlib.so.0.0.0 libguestlib.so )
( cd usr/lib ; rm -rf libDeployPkg.so )
( cd usr/lib ; ln -sf libDeployPkg.so.0.0.0 libDeployPkg.so )
( cd usr/bin ; rm -rf vmware-user )
( cd usr/bin ; ln -sf vmware-user-suid-wrapper vmware-user )
